# Custom Product Attribute Export for Magento 2

This [Magento 2 Custom Product Attribute Export Free Extension](https://bsscommerce.com/custom-product-attribute-export-for-magento-2.html) can be reviewed as a perfect choice with the main purpose of supporting custom attributes in separate columns when exporting products in CSV file. With the development of this module, store admin will feel easier in managing a shop online.

## 1. Documentation

- Installation guide: <a href="https://bsscommerce.com/media/attachments/122_58c24b9502429_Installation_Guide-Custom_Product_Attribute_Export_for_Magento_2_Extension.pdf" target="_blank">Get It Now!</a>
- User Guide: <a href="https://bsscommerce.com/media/attachments/122_58c24b852ad62_User_Guide-Custom_Product_Attribute_Export_for_Magento_2_Extension.pdf" target="_blank">Get It Now!</a>
- Download from our Live site: https://bsscommerce.com/custom-product-attribute-export-for-magento-2.html
- Get Support: https://bsscommerce.freshdesk.com/support/home/

## 2. How to install

After finishing purchasing process, we will immediately send you an email containing the link to download this extension.

- **Step 1**: Unzip the file.
- **Step 2**: Create another directory called app/code/Bss/CustomProductAttributeExport . Then, you put the contents of the extension ZIP file in there.
- **Step 3**: Upload the directory app/code/Bss/CustomProductAttributeExport into the root directory of your Magento installation. The root directory of Magento is the directory that contains the directories "app", "bin", "lib" and more. All directories should match the existing directory structure.
- **Step 4**: Go to Magento 2 root directory. Run: php bin/magento setup:upgrade.
- **Step 5**: Run: php bin/magento setup:static-content:deploy.
- **Step 6**: Clear all Caches.

## 3. Detailed Functions

[Custom Product Attribute Export for Magento 2](https://bsscommerce.com/custom-product-attribute-export-for-magento-2.html) will be a promising module which can improve default Magento 2 with more practical functions. In default Magento 2, all custom attributes still appear in CSV export file but in one column only. The attributes in this “additional_attributes” column are split up by a comma. That is the reason why this Magento 2 Free Extension is built to deal with the issue quickly.
**Here are some crucial features of this extension:**   

- **Divide custom attributes into different columns after being exported**
This function will support custom attributes by showing them in different columns instead of one column like in the default.

![product_export_column_csv_file.png](https://bsscommerce.com/media/catalog/product/cache/1/image/9df78eab33525d08d6e5fb8d27136e95/p/r/product_export_column_csv_file.png)

- **Choose various custom attributes to apply module as demand**

This feature allows store admin to select the suitable custom attributes to put them into separate columns when exporting products in the backend.

![product_export_column_backend.png](https://bsscommerce.com/media/catalog/product/cache/1/image/9df78eab33525d08d6e5fb8d27136e95/p/r/product_export_column_backend.png)

- **Update new custom attributes in module config automatically**

Any changes of custom attributes will be up to date immediately in the configuration of the module.

**Full vital features of Magento 2 Custom Product Attributes Export:**
- Export custom attributes into independent columns of the CSV file.
- Select multiple custom attributes to apply module.
- Update  new custom attributes in module config automatically. 

## 4. User Guide

Please go to **Stores ➨ Configuration ➨ BSSCOMMERCE ➨ Product Export Column** and start configuration.

![product_export_column_backend.png](https://bsscommerce.com/media/catalog/product/cache/1/image/9df78eab33525d08d6e5fb8d27136e95/p/r/product_export_column_backend.png)

In **Enable**: Choose **Yes** to enable the module or choose **No** to disable it. 
In **Allowed Attribute**: Choose the custom product attributes which you want to be in separate column when exporting products. 

## 5. Other helpful Magento 2 Extensions by BSSCommerce


☞ [Import Export Product Attributes](https://bsscommerce.com/magento-2-import-export-product-attributes.html): allows admin to easily import and export multiple product attributes via a CSV file.

☞ [Import Export Product Reviews](https://bsscommerce.com/import-export-product-reviews-for-magento-2.html): allows admin to import and export product reviews via a CSV file

☞ [Import Export URL Rewrites](https://bsscommerce.com/magento-2-import-export-url-rewrites-extension.html): help admin to import and export URL rewrites via a CSV file.

☞ [Import Export Wishlist Item](https://bsscommerce.com/magento-2-import-export-wishlist-item-extension.html): allow admin to import and export wishlist items via a CSV file

☞ [Inventory Report](https://bsscommerce.com/magento-2-inventory-report-extension.html): saves quantity changes of your products all the times.

☞ [Admin Action Log](https://bsscommerce.com/magento-2-admin-action-log-extension.html): keeps track all activities in the backend of administrators.

☞ [Admin Notification Email](https://bsscommerce.com/magento-2-admin-email-notification-extension.html): immediately sends the notification email to admin whenever a key event happens in your store. 

☞ [Admin product Preview Plus](https://bsscommerce.com/magento-2-admin-product-preview-plus.html): allows admin to get quick preview of frontend pages from the admin panel.

☞ [Shipping and Payment Method per Customer Group](https://bsscommerce.com/magento2-shipping-and-payment-method-per-customer-group.html): assigns specific shipping and payment methods for each customer group. 

☞ [Shopping Cart Price Rules per Store View](https://bsscommerce.com/shopping-cart-price-rule-per-store-view-for-magento-2.html) and [Catalog Price Rules per Store View](https://bsscommerce.com/catalog-price-rule-per-store-view-for-magento-2.html): allows admin to set up different shopping cart rules or catalog rules per store view.

☞ [Tax per Store View](https://bsscommerce.com/tax-per-store-view-for-magento-2.html): sets up different taxes for the same products per store view. 
